Subject: Re: bug#64793: 28.2; python-mode: two single quotes makes emacs stop echoing and seem to hang

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jul 2023 08:21:02 +0300

> Date: Sat, 22 Jul 2023 15:25:45 -0600
> From: Akkana Peck <[email-masked]>
> 
> 1. Save the following file (minimal test example) as bug.py:
> 
> ---- begin file -----
> #!/usr/bin/env python3
> 
> def one_function():
>     print()
> 
>     return 42
> 
> 
> def another_function(filename):
>     """
>     With a docstring here, if you place the cursor between the two
>     lines of one_function, hit tab to indent 4 spaces, then type
>     two single quotes, '', emacs seems to lock up: the quotes aren't
>     echoed and neither is anything else you type after that.
>     But a Ctrl-G will wake emacs up and make the quotes and anything
>     else you typed appear. Depending on your emacs config, you might
>     need a double Ctrl-G.
>     """
>     pass
> ---- end file -----
> 
> 2. Run emacs -Q bug.py
> 
> 3. Go to line 5, the blank line between the print() and the return.
> 
> 4. Hit TAB, which should automatically indent 4 spaces to match the two
> existing lines.
> 
> 5. Type two single quotes '' -- note that the quotes do not echo.
> Try typing more characters, or moving up or down ... nothing works.
> In fact, try hiding then re-showing the window, or going to another
> virtual desktop then back to where the emacs window is: it doesn't even
> redraw, seems to be locked up hard.
> 
> But it isn't really, because ^G^G will wake emacs up (sometimes a single
> ^G works, sometimes I need two, depending on what other packages are loaded).

Thanks, this is already fixed in what will shortly become Emacs 29.1.

So I'm closing this bug.